- Main Page
- Data Structures
- Files
- Directories

- Search for |

- Alphabetical List
- Data Structures
- Data Fields

# ogModeInfo Struct Reference

`#include <ogDisplay_UbixOS.h>`

## Public Member Functions
uInt8 paddington[461] | __attribute__ ((packed))
uInt16 offScreenMemSize | __attribute__ ((packed))
void *offScreenMemOffset | __attribute__ ((packed))
uInt32 physBasePtr | __attribute__ ((packed))
uInt8 directColourMode | __attribute__ ((packed))
uInt8 alphaFieldPosition | __attribute__ ((packed))
uInt8 alphaMaskSize | __attribute__ ((packed))
uInt8 blueFieldPosition | __attribute__ ((packed))
uInt8 blueMaskSize | __attribute__ ((packed))
uInt8 greenFieldPosition | __attribute__ ((packed))
uInt8 greenMaskSize | __attribute__ ((packed))
uInt8 redFieldPosition | __attribute__ ((packed))
uInt8 redMaskSize | __attribute__ ((packed))
uInt8 reserved | __attribute__ ((packed))
uInt8 numOfImagePages | __attribute__ ((packed))
uInt8 bankSize | __attribute__ ((packed))
uInt8 memoryModel | __attribute__ ((packed))
uInt8 numberOfBanks | __attribute__ ((packed))
uInt8 bitsPerPixel | __attribute__ ((packed))
uInt8 numBitPlanes | __attribute__ ((packed))
uInt8 charHeight | __attribute__ ((packed))
uInt8 charWidth | __attribute__ ((packed))
uInt16 yRes | __attribute__ ((packed))
uInt16 xRes | __attribute__ ((packed))
uInt16 bytesPerLine | __attribute__ ((packed))
void *bankSwitch | __attribute__ ((packed))
uInt16 windowBSeg | __attribute__ ((packed))
uInt16 windowASeg | __attribute__ ((packed))
uInt16 windowSize | __attribute__ ((packed))
uInt16 granularity | __attribute__ ((packed))
uInt8 windowBFlags | __attribute__ ((packed))
uInt8 windowAFlags | __attribute__ ((packed))
uInt16 modeAttributes | __attribute__ ((packed))

## Detailed Description

Definition at line 6 of file ogDisplay_UbixOS.h.

## Member Function Documentation

uInt8 paddington [461] ogModeInfo::__attribute__ | ( | (packed) |  | ) |

uInt16 offScreenMemSize ogModeInfo::__attribute__ | ( | (packed) |  | ) |

void* offScreenMemOffset ogModeInfo::__attribute__ | ( | (packed) |  | ) |

uInt32 physBasePtr ogModeInfo::__attribute__ | ( | (packed) |  | ) |

uInt8 directColourMode ogModeInfo::__attribute__ | ( | (packed) |  | ) |

uInt8 alphaFieldPosition ogModeInfo::__attribute__ | ( | (packed) |  | ) |

uInt8 alphaMaskSize ogModeInfo::__attribute__ | ( | (packed) |  | ) |

uInt8 blueFieldPosition ogModeInfo::__attribute__ | ( | (packed) |  | ) |

uInt8 blueMaskSize ogModeInfo::__attribute__ | ( | (packed) |  | ) |

uInt8 greenFieldPosition ogModeInfo::__attribute__ | ( | (packed) |  | ) |

uInt8 greenMaskSize ogModeInfo::__attribute__ | ( | (packed) |  | ) |

uInt8 redFieldPosition ogModeInfo::__attribute__ | ( | (packed) |  | ) |

uInt8 redMaskSize ogModeInfo::__attribute__ | ( | (packed) |  | ) |

uInt8 reserved ogModeInfo::__attribute__ | ( | (packed) |  | ) |

uInt8 numOfImagePages ogModeInfo::__attribute__ | ( | (packed) |  | ) |

uInt8 bankSize ogModeInfo::__attribute__ | ( | (packed) |  | ) |

uInt8 memoryModel ogModeInfo::__attribute__ | ( | (packed) |  | ) |

uInt8 numberOfBanks ogModeInfo::__attribute__ | ( | (packed) |  | ) |

uInt8 bitsPerPixel ogModeInfo::__attribute__ | ( | (packed) |  | ) |

uInt8 numBitPlanes ogModeInfo::__attribute__ | ( | (packed) |  | ) |

uInt8 charHeight ogModeInfo::__attribute__ | ( | (packed) |  | ) |

uInt8 charWidth ogModeInfo::__attribute__ | ( | (packed) |  | ) |

uInt16 yRes ogModeInfo::__attribute__ | ( | (packed) |  | ) |

uInt16 xRes ogModeInfo::__attribute__ | ( | (packed) |  | ) |

uInt16 bytesPerLine ogModeInfo::__attribute__ | ( | (packed) |  | ) |

void* bankSwitch ogModeInfo::__attribute__ | ( | (packed) |  | ) |

uInt16 windowBSeg ogModeInfo::__attribute__ | ( | (packed) |  | ) |

uInt16 windowASeg ogModeInfo::__attribute__ | ( | (packed) |  | ) |

uInt16 windowSize ogModeInfo::__attribute__ | ( | (packed) |  | ) |

uInt16 granularity ogModeInfo::__attribute__ | ( | (packed) |  | ) |

uInt8 windowBFlags ogModeInfo::__attribute__ | ( | (packed) |  | ) |

uInt8 windowAFlags ogModeInfo::__attribute__ | ( | (packed) |  | ) |

uInt16 modeAttributes ogModeInfo::__attribute__ | ( | (packed) |  | ) |

The documentation for this struct was generated from the following file:

- src/sys/include/sde/ogDisplay_UbixOS.h